Results 1 to 5 of 5
Discuss 3GS 3.1.3 Jailbreak. How to check? at the iPhone 3GS - Hackint0sh.org; Hi guys, iv been away from the iPhone scene for a while so havnt kept ...
  1. #1
    Senior Professional Array

    Join Date
    Aug 2007
    Location
    UK
    Posts
    143
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default 3GS 3.1.3 Jailbreak. How to check?

    Hi guys,
    iv been away from the iPhone scene for a while so havnt kept up.
    Could somebody please give me definitive answers to my questions.
    How do I check which iPhone 3GS I have to know if it is the new one or not?
    I have a 2nd iPhone 3GS which is jailbroken at 3.1.2 with blackra1n and the iPhone is officially unlocked by o2, is there any way to upgrade to 3.1.3 and jailbreak and if so how?

    I really appreciate any help and apologize as im sure this has been asked but i dont have the time to look through all posts. Thank you in advance



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default Re: 3GS 3.1.3 Jailbreak. How to check?

    Quote Originally Posted by kkdool
    Hi guys,
    iv been away from the iPhone scene for a while so havnt kept up.
    Could somebody please give me definitive answers to my questions.
    How do I check which iPhone 3GS I have to know if it is the new one or not?
    I have a 2nd iPhone 3GS which is jailbroken at 3.1.2 with blackra1n and the iPhone is officially unlocked by o2, is there any way to upgrade to 3.1.3 and jailbreak and if so how?

    I really appreciate any help and apologize as im sure this has been asked but i dont have the time to look through all posts. Thank you in advance
    Do you have to run blackra1n each time you restart your jailbroken 3GS?

    If you don't then you have the old bootrom. You can go to 3.1.3 using pwnagetool custom ipsw. Do not restore original apple ipsw! That will remove your ability to jailbreak.

    There is nearly zero point to run 3.1.3 (better battery reporting on 3GS is about the only reason)

    Even steve jobs still runs 3.1.2 on his 3GS

    Custom ipsw on new bootrom 3GS simply does not work and will require a restore of official apple ipsw to fix.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Senior Professional Array

    Join Date
    Aug 2007
    Location
    UK
    Posts
    143
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    Thank you for your answer.

    I do not have to do a tethered jailbreak so I have the old bootrom.

    If I upgrade to 3.1.3 via PwnageTool can I:
    A: If I have a problem just restore to the pwnage IPSW?
    B: Can I upgrade to the Custom IPSW or do I have to do a clean restore? (my iPhone is currently jailbroken)

    And I want 3.1.3 as I have a application that was updated that i want but it requires 3.1.3

  4. #4
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default Re: 3GS 3.1.3 Jailbreak. How to check?

    Quote Originally Posted by kkdool
    Thank you for your answer.

    I do not have to do a tethered jailbreak so I have the old bootrom.

    If I upgrade to 3.1.3 via PwnageTool can I:
    A: If I have a problem just restore to the pwnage IPSW?
    B: Can I upgrade to the Custom IPSW or do I have to do a clean restore? (my iPhone is currently jailbroken)

    And I want 3.1.3 as I have a application that was updated that i want but it requires 3.1.3
    Pwnagetool custom ipsw don't support upgrade only restore. This is a deliberate decision because Cydia does not yet fully support this upgrade scenario.

    Once jailbroken on old bootrom you can always restore custom ipsw. If you ever restore an original unmodified apple ipsw that will remove the jailbreak and the ability to restore custom ipsw.

    This is because the jailbreaking removes the checks that normally block non apple ipsw.

    Have only heard of one application that required 3.1.3 due to a bug with Japanese keyboard.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  5. #5
    Senior Professional Array

    Join Date
    Aug 2007
    Location
    UK
    Posts
    143
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    Quote Originally Posted by Olethros View Post
    Have only heard of one application that required 3.1.3 due to a bug with Japanese keyboard.
    Thank you very much. I really appreciate it.
    the app is called Capital FM. It has several UK radio stations i listen to and it requires 3.1.3 to run in background.


 

 

Similar Threads

  1. Replies: 1
    Last Post: 01-28-2011, 11:15 AM
  2. Replies: 3
    Last Post: 01-03-2010, 10:56 PM
  3. Replies: 2
    Last Post: 04-09-2008, 03:20 PM
  4. Replies: 14
    Last Post: 02-16-2008, 01:11 PM
  5. Forgot to check "install SSH" for 1.1.2 jailbreak
    By juice21 in forum iPhone "2G" (Rev. 1)
    Replies: 6
    Last Post: 12-22-2007, 02:24 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 11:02 PM.
twitter, follow us!